ServiceContext
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl
Class ServiceContext

    java.lang.Object
      GCUBEServiceContext
          org.gcube.application.aquamaps.aquamapsservice.impl.ServiceContext

    public class ServiceContext

extends GCUBEServiceContext

Nested Class Summary
`static class` | `ServiceContext.FOLDERS`

Method Summary
`Configuration` | `getConfiguration()`
`GCUBEScope` | `getConfigurationScope()`
`static ServiceContext` | `getContext()` Returns cached instance
`java.io.File` | `getEcoligicalConfigDir()`
`java.lang.String` | `getFolderPath(ServiceContext.FOLDERS folderName)`
`java.lang.String` | `getProperty(java.lang.String paramName)`
`java.lang.Boolean` | `getPropertyAsBoolean(java.lang.String propertyName)`
`java.lang.Double` | `getPropertyAsDouble(java.lang.String propertyName)`
`java.lang.Integer` | `getPropertyAsInteger(java.lang.String propertyName)`
`Publisher` | `getPublisher()`
`void` | `onInitialisation()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContext

    public static ServiceContext getContext()

  Returns cached instance

### onInitialisation

    public void onInitialisation()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getProperty

    public java.lang.String getProperty(java.lang.String paramName)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPropertyAsBoolean

    public java.lang.Boolean getPropertyAsBoolean(java.lang.String propertyName)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPropertyAsInteger

    public java.lang.Integer getPropertyAsInteger(java.lang.String propertyName)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPropertyAsDouble

    public java.lang.Double getPropertyAsDouble(java.lang.String propertyName)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPublisher

    public Publisher getPublisher()

### getEcoligicalConfigDir

    public java.io.File getEcoligicalConfigDir()

### getFolderPath

    public java.lang.String getFolderPath(ServiceContext.FOLDERS folderName)

### getConfiguration

    public Configuration getConfiguration()

### getConfigurationScope

    public GCUBEScope getConfigurationScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD